# ``twisted`.`python`.`log`.`NullFile``

class documentation

`class NullFile: (source)`

View In Hierarchy

A file-like object that discards everything.

Method | `close` | Do nothing.
Method | `flush` | Do nothing.
Method | `read` | Do nothing.
Method | `write` | Do nothing.
Class Variable | `softspace` | Undocumented

def close(self): (source)
Do nothing.
def flush(self): (source)
Do nothing.
def read(self): (source)
Do nothing.
def write(self, bytes): (source)
Do nothing.

Parameters
bytes:`bytes` | data

softspace: `int` = (source)

Undocumented